#ifndef GAUSSIAN_H
#define GAUSSIAN_H

#include <gmp.h>
#include <mpfr.h>
#include "poly.h"
#include "polz.h"

unsigned int BerExp(double x);
void poly_gaussian16(poly *r);
void polz_gaussian64(polz *r);
void polz_gaussian70(polz *r);
void gaussian_sampler(mpz_t z, const mpfr_t mu, const mpfr_t sigma);

#endif
